Send an invoice
curl --request POST \
--url https://merchant-demo.zahlo.eu/api/v1/invoices/{id}/send \
--header 'x-api-key: <api-key>'import requests
url = "https://merchant-demo.zahlo.eu/api/v1/invoices/{id}/send"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://merchant-demo.zahlo.eu/api/v1/invoices/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "inv_demo_1001",
"customerId": "cus_demo_1001",
"status": "open",
"amountDue": {
"amountMinor": 1900,
"currency": "EUR"
}
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Billing
Send an invoice
Send an invoice. Use the response status and request ID to decide whether to retry, reconcile, or ask the customer for action.
POST
/
api
/
v1
/
invoices
/
{id}
/
send
Send an invoice
curl --request POST \
--url https://merchant-demo.zahlo.eu/api/v1/invoices/{id}/send \
--header 'x-api-key: <api-key>'import requests
url = "https://merchant-demo.zahlo.eu/api/v1/invoices/{id}/send"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://merchant-demo.zahlo.eu/api/v1/invoices/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "inv_demo_1001",
"customerId": "cus_demo_1001",
"status": "open",
"amountDue": {
"amountMinor": 1900,
"currency": "EUR"
}
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Authorizations
Server-side merchant API key. Never expose it in browser code.
Path Parameters
The resource identifier returned by the merchant API.
Response
Successful response